История версий Universal Share Downloader

[+] - добавлено новое
[*] - исправлена ошибка

1.3.5.9
--------------------------------------------------------------------------------
[*] Исправлен баг при работе с HTTPS


1.3.5.6
--------------------------------------------------------------------------------
[*] Снова работает интеграция в Оперу. Если не удается найти папку Оперы, то 
    появляется запрос на открытие файла.

[*] В некоторых случаях в "Имя файла для запуска внешней качалки" пропадали 
    крайние кавычки

[*] Правка мелких багов


1.3.5.5
--------------------------------------------------------------------------------
[*] Исправлена работа с неверными заголовками от вебсервера

[*] Правка мелких багов


1.3.5.4
--------------------------------------------------------------------------------
[+] В веб интерфейсе показывается свободное место на дисках при добавлении и 
    правке закачки

[+] Блокирование засыпания компьютера, и перехода в гибернацию во время закачки

[*] При вставке из буфера обмена не сохранялся список ссылок

[*] При остановке программы не пересчитывалась статистика количества ссылок и 
    активных ссылок в списке

[*] В режиме "Действие с прямой ссылкой" - "Запустить программу" в параметр 
    %filename% попадал путь без слешей. Теперь, как и должно, попадает 
    только имя файла


1.3.5.31
--------------------------------------------------------------------------------

[*] При вставке ссылок с "анонимайзерами" (убивалками поля "откуда пришли") берется 
    последний HTTP адрес 
    (http://ste1.com/url=http://ste2.com/http://rapidshare.com/files/zzz.zip -> 
     -> http://rapidshare.com/files/zzz.zip).

[*] При вставке ссылок на YouTube скопированных с Emedded плееров вставляется 
    правильный адрес, а не адрес куда был интегрирован плеер.

[*] При модификации ссылки список не считался измененным и не сохранялся.


1.3.5.3
--------------------------------------------------------------------------------
[*] Проверка на дубликаты в окне добавления ссылок

[*] Проверка на дубликаты в списке программы с разным регистром букв

[*] Отработка статусов закачки при возвращении их из функции плагина OnError


1.3.5.2
--------------------------------------------------------------------------------
[+] В меню в трее добавился пункт "Старт/стоп" закачки

[+] Добавлены сервера обновлений. По умолчанию ставится рабочий сервер 
    обновления

[+] Плагин может возвращать статус, что ссылка обработана (для сайтов/ссылок на 
    папку с несколькими ссылками на файлы. До этого использовался статус 
    "Удален" для начальных ссылок)

[*] Добавление ссылок из плагина использует тот же путь, что и закачиваемая 
    ссылка

[*] Снова включена чистка истории "Сохранить в" в окне добавления ссылок

[*] Слив html, файла нулевого размера и тд считается неудачной попыткой

[*] Исправлены другие мелкие ошибки


1.3.5.1
--------------------------------------------------------------------------------
[+] Добавлена опция "Показывать только обновляемые модули", котрая позволяет при
    выключенных опциях "Скачивать новые плагины" и "Скачивать новые языки"
    в списке обновления прятать модули, которых нет в программе.

[*] Исправлен вывод описания к капче - когда строка была слишком длинная, она не 
    рисовалась

[*] Исправлено несколько мелких ошибок


1.3.5
--------------------------------------------------------------------------------
[+] Добавлена опция "При вставке нескольких ссылок, комментарий только у первой"
    чтобы при добавлении оптом нескольких томоф архивов не копировались описания

[+] Через WebServer теперь можно вводить капчи

[+] В окне ввода капчи появилась возможность писать примечение к капче


1.3.4.9
--------------------------------------------------------------------------------
[*] Много добавлений и исправлений. Список исправлений не велся


1.3.4.8
--------------------------------------------------------------------------------

[+] Добавлено запоминание введеных серверов обновлений

[+] Добавлена возможность через механизм обновлений обновлять
    дополнения для USDownloader (OCR механизм, его базы данных и тд и тп)

[*] Исправлены ошибки в работе обновления

[*] Исправлены другие мелкие ошибки


1.3.4.7
--------------------------------------------------------------------------------

[+] Добавлен ввод любого сервера обновлений

[*] Исправлены мелкие ошибки


1.3.4.6
--------------------------------------------------------------------------------

[+] В опции добавлен еще один параметр - Время показа подсказки. Влияет на все
    всплывающие подсказки в программе и на всплывающую подсказку в трее

[+] В веб сервере на странице списка, в окошко "информация" добавлена 
    информация по верхней закачке, а так же строка статуса из программы

[+] В ini файл (ибо пользоваться будут только те, кому сильно это надо) в секцию 
    WebServer добавлены параметры размеров формы добавления/правки ссылки. 
    Кто-то хотел ее побольше размером, кто-то поменьше

[+] В обновлении добавлена галка "Качать все языки". Если стоит - то программа 
    будет обновлять и качать все языки, которые появились/обновились на сайте. 
    Если нет, то обновлять только установленные в программе языки

[*] Исправлено несколько мелких ошибок


1.3.4.5
--------------------------------------------------------------------------------

[+] F9 теперь и стартует и останавливает закачки

[+] F12 показывает под мышкой меню от иконки в трее

[+] В веб сервере добавлены кнопки в списке для перемещения ссылок - 
    выше/ниже/"следующей"/"в конец списка"

[*] Исправлено несколько мелких ошибок


1.3.4.4
--------------------------------------------------------------------------------

[+] Добалена функция GetCookie в API плагинов

[*] Исправлена ошибка с Drag-n-Drop'ом ссылок

[*] Исправлена ошибка в апдейте - дата последнего просмотра обновления ставилась 
    только после обновления программы. Теперь ставится после получения списка 
    обновленных модулей (при отмене обновления окно н ебудет выскакивать каждые
    3 секунды)

[*] Поправлены другие мелкие ошибки


1.3.4.3
--------------------------------------------------------------------------------

[+] При включенном режиме "закачивать обычные ссылки" USDownloader принимает 
    теперь и ftp ссылки

[+] Добавлена интеграция в браузеры (Internet Explorer, Opera, FireFox (через FlashGot)

[+] Добавлен вывод даты добавления ссылки

[*] Подправлен языковой файл

[*] Подправлены мелкие ошибки


1.3.4.2
--------------------------------------------------------------------------------

[*] Поправлено автообновление. Скоро обновлатья сможет только эта версия или старше

[*] При включении опции "качать обычные ссылки", в программу добавлялись любые слова, 
    скопированные в буфер обмена

[*] Исправлены мелкие ошибки


1.3.4.1
--------------------------------------------------------------------------------

[+] Добавлено закрытие окна добавления ссылки (+), по омбинации Ctrl+Enter

[*] Исправлен апдейт (окно показывалось не зависимо от настройки 
    "показывать окно подтверждения и выбора плагинов")

[*] Исправлена ошибка при добавлении ссылок через Web интерфейс (часть ссылок добавлялось не корректно)

[*] Исправлена мелкая ошибка, при использовании прокси (использовался, 
    "использовать HTTP Proxy" была выключена, а "Качать с прямого IP" включена)

[*] Исправлены грамматические ошибки


1.3.4
--------------------------------------------------------------------------------

[+] Добавлены параметры "пика" системного динамика

[+] Добавлена возможность задания любого пикания системным динамиком, 
    символами "*", ".", "-", " "

[*] Поправлена работа пика системным динамиком (если звук стоит как "*")

[*] Проверен код


1.3.4 beta 9.3
--------------------------------------------------------------------------------

[+] Добавлена возможность POST запросов через HTTPS протокол

[+] Если в опциях в поле "звук" вставить "*", то программа будет пикать системным динамиком (если нет колонок)

[+] В API плагинов добавлены функции: GetLocation (возвращает текущий адрес), GetClipboard (возвращает содержимое буфера обмена)
    GetVersion (возвращает версию USD), ProgStatus (возвращает статус программы: 0 - остановлена, 1 - работает),
    SetStatus (Ставит SeverInfo строку в закачке), GetLangDef (считывает нужные строки из языкового файла) 

[+] Добавлена настройка "при ротации смещать ссылку на N строк". При 0 значении - смещается как и раньше в конец списка

[+] Добавлена опция "не проверять на дубликаты" - которая позволяет добавлять одинаковые ссылки в список

[+] Добавлена "статистика" - сколько было вообще закачанно программой (последняя строка в окошке по F1)

[+] В поиске (по F3 или ".") если нажать F3 еще раз будет искать подстроку дальше (раньше находил только 1).

[+] Добавлена опция "При вставке ссылок, заполнять комментарий" - если копируется кусок текста где ссылки и их описание,
    то ссылки идут в поле "ссылки", а весь скопированный текст вставляется в описание. 

[+] Окно опций запоминает, на какой закладке его закрыли, и открывается на той же закладке

[+] Окно подтверждения закрытия программы всплывает только если программа что-то делает. Если список пуст или программа в 
    простое - подтверждение закрытия не выводится

[+] В веб интерфейсе сделаны опции. Теперь вебинтерфейс работает полностью

[*] При перемещении закачки на 1 место и отказе от остановки текущей закачки, список закачек переставал перерисовываться

[*] При выполнении в шеледуере "После скачивания", "закрыть программу"/"выключить компьютер", в следующий запуск
    USD начинал скачивать файл заново, хотя он уже скачан

[*] При сохранении путей где встречались "\n" - типа "c:\nana\nono" путь бился на несколько кусков

[*] В окне добавления ссылки при вводе текста появлялись каталоги удовлетворяющие вводимым данным. При клике мышкой
    выбранный каталог не вставлялся в окно "сохранить в"

[*] При обновлении открывалось много окон выбора обновлений.

[*] Некоторые мелкие ошибки и недочеты в обновлении

[*] Исправлено "разрыв связи после скачивания"

[*] Исправлены грамматические ошибки


1.3.4 Beta 9.2
--------------------------------------------------------------------------------

[-] список изменений не велся, здесь только то, что смог вспомнить

[+] Переписано обновление. Теперь оно в разы удобнее

[+] Расширен API плагинов

[*] Исправлена проблема с генерацией NoName546546456 имен при скачивании с серверов.
    теперь генерируется только 1 раз

[*] Исправлена проблема, что из-за ошибок с именами с FileFactory и части других ресурсов не работала докачка.

[*] Исправлены ошибки
 

1.3.4 Beta 8
--------------------------------------------------------------------------------

[-] список изменений не велся


1.3.4
--------------------------------------------------------------------------------

[+] Добавлена поддержка Socks раздельно для HTTP и FTP протоколов

[+] Прокси теперь можно ставить раздельно для HTTP и FTP протоколов

[+] Добавлена обработка ошибок плагином, а так же возможность переименовывание плагином после скачивания

[+] Переписан планирощик

[+] Добавлено автообновление плагинов

[+] Добавлены свойства - размер файла и дата добавление файла в список

[+] На панель информации добавлена информация по файлу

[+] В меню в трее добавлено "следить за буфером обмена"

[+] Расширен API плагинов. Появились новые функции

[+] Добавленные новые быстрые клавиши

[+] Добавлена возможность смены User Agent

[+] Добавлены новые параметры командной строки:
    "/addlinks" - считать файл USDownloader.add в папке USD (в формате txt или usd)
    "/notray" - не использовать трей. Сворачиваться будет в таскбар.
                Можно легко скрывать внешними программами полностью

[+] В списке прокси можно использоват комментари - строки коменнтария начинаются с ";"

[+] При открытии диалога добавления закачки, если в клипборде есть ссылка,
    поддерживаемая одним из плагинов, она автоматически вставлять поле "ссылка".

[+] В поле "сохранить в" вставленно автодополнение - при написании в нем пути, 
    в выпадающем внизу списке показываются все каталоги в каталоге, путь к 
    которому вводится - в итоге писать пути становится намного проще и быстрее. 

[+] добавлен быстрый поиск по листу закачек

[*] При изменении свойств закачки нескольких файлов меняются только те свойства
    которые менялись в окне

[*] Окно лога не перезагружает лог по таймеру, если он не менялся 
    (не будет лишний раз дергаться)

[*] Исправлено корректное отображение прозрачности у иконки в трее 
    (когда она прогресс рисует)

[*] Правка ошибок



1.3.3
--------------------------------------------------------------------------------

[+] Добавлены быстрые клавиши:
    Alt+Enter - Свойства 
    Space - Приостановить/запустить выделенную закачку 
    Ctrl+C - Скопировать URL в клипборд 
    Ctrl+G - Открыть в браузере 
    Ctrl+R - Закачать заново 
    Ctrl+S - Сохранить список закачки 
    Ctrl+O - Добавить в список закачки

[+] При смене иконки (через USdownloader.ico) прогресс в трее не рисуется

[+] Добавлен новый параметр командной строки "/notrayhint" - при нем 
    не будет показываться справка на иконке в трее (рядом с часиками)

[+] Добавлено подтверждение на уделание закачки из списка закачек (для 
    скачанных и ошибочных закачек подтверждение НЕ рисуется)

[+] Добавлено декодирование имен с мегааплоада 
    (имен типа &#01050;&#01083;&#01102;&#01095; &#01086;&#01090;.rar)

[+] В exe файл добавлено version Info (и билды там прописываются)

[*] Для ловли ошибок с удалением файла после докачки (изредка) введены 
    временные строки отладки в log файл (пишутся только при максимальной 
    детализации лог файла)

[*] Исправлены мелкие ошибки



1.3 Финал
--------------------------------------------------------------------------------

[+] Добавлена проверка запуска 2х копий одного и того-же файла. Вторая копия 
    просто не стартует

[+] Добавлена обработка системных путей, а так же вставка времени и даты в пути:
    %tmp%\Tst\ нормально обработается. Шаблоны по времени:
    $dd - дни, $mm - месяцы, $yy, $yyyy - год
    $hh - часы, $nn - минуты, $$ss - секунды
    То есть в путь "сохранить в" можно написать что-то вроде:
    %tmp%\$dd$mm$yyyy_Proga и при сохранении путь станет нормальным

[+] В плагины MyTempDir, Yousendit и Rapidshare добавлены обработки 
    новых ошибок сервера

[+] Добавлены новые пункты в меню

[*] Исправлены утечки памяти

[*] При опции "удалять, если мног опопыток" помечает просто ссылку как 
    не верную, а не удаляет ее из списка

[*] Исправлена ошибка с добавлением дубликатов

[*] Исправлены другие ошибки



1.3 beta 5.2
--------------------------------------------------------------------------------

[+] Добавлена NTLM авторизация. В опциях появилась
    соответствующая галочка

[+] При установке в настройке 1 прокси адреса/порта/логина/пароля
    галочка "Всегда качать только с прямого IP" будет качать 
    по настройке этого прокси (при включенной опции "Использовать список")

[+] Добавлены дополнительные языки

[+] Добавлено сохранение ширины правой колонки "Информация"

[+] Добавлена всплывающая подсказка на основном списке с описанием закачки

[*] Количество попыток до ротации можно поставить в 1

[*] Исправлен баг с неправильным цветом фона основного списка
    Так же теперь выделенный пункт в списке рисуется "прозрачно"
    то есть выделенный цвет фона у обычных ссылок и скачанных/ошибочных
    отличается по цвету

[*] Исправлен порядок обхода полей по Tab в окне "свойства ссылки"
    
[*] Исправлены мелкие ошибки
